BizKitHub
DocsAPI ReferenceLedger/bff/ledger/stock/item/import-products
postLedgerAdmin BFF

/bff/ledger/stock/item/import-products

Create stock cards from e-shop products

LedgerpostBffLedgerStockItemImport-products

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
kind"goods" | "material" | "product"Required
productIdsnumber[] | nullOptional
One of 2:
Variant 1
number[]
Variant 2
null
searchstring | nullOptional
One of 2:
Variant 1
string
Length: 0–100
Variant 2
null
limitnumberOptional
Range: 1–2000

Response schema

1 status code documented

200Success
successbooleanRequired
creatednumberRequired

Response example

application/json
{
  "success": false,
  "created": 0
}

Request example

POST /bff/ledger/stock/item/import-products

post
curl -X POST "https://api.bizkithub.com/bff/ledger/stock/item/import-products" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "limit": 0
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key